package com.seer.teach.iot.convert;

import com.seer.teach.iot.common.resp.AdvertisingResp;
import com.seer.teach.iot.module.entity.AdvertisingEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * @Author: Hash
 * @Description:
 * @Date: 2025-06-19 14:43
 */
@Mapper
public interface AdvertisingConvert {

    AdvertisingConvert INSTANCE = Mappers.getMapper(AdvertisingConvert.class);

    AdvertisingResp toResp(AdvertisingEntity entity);

    List<AdvertisingResp> toList(List<AdvertisingEntity> list);
}
